%define clearlooks_version 0.6.2

Summary: Themes collection for GNOME
Name: gnome-themes
Version: 2.16.0
Release: 1%{?dist}
URL: http://ftp.gnome.org/pub/GNOME/sources/gnome-themes/
Source: %{name}-%{version}.tar.bz2
Source1: clearlooks-%{clearlooks_version}.tar.bz2
Patch2: gnome-themes-2.16.0-clearlooks.patch
Patch3: clearlooks-0.5-inherit-bluecurve.patch
License: LGPL
Group: User Interface/Desktops
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root

# Need a version built with 2.4.0 gtk binary age
Requires: gtk2-engines >= 2.6.0-1
Prereq: gtk2 >= 2.6.2
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: gtk2-devel
BuildRequires: libtool
BuildRequires: gettext
BuildRequires: gtk2-engines >= 2.6.0-1
BuildRequires: icon-naming-utils >= 0.6.7

%description
Themes collection for GNOME

%prep
%setup -q
tar xjf %{SOURCE1}
pushd clearlooks-%{clearlooks_version}
%patch3 -p1 -b .inherit-bluecurve
popd

mv clearlooks-%{clearlooks_version}/themes/Clearlooks/icons icon-themes/Clearlooks
mv clearlooks-%{clearlooks_version}/themes/Clearlooks-DeepSky gtk-themes
mv clearlooks-%{clearlooks_version}/themes/Clearlooks-Olive gtk-themes
mv clearlooks-%{clearlooks_version}/themes/Clearlooks-Quicksilver gtk-themes
%patch2 -p1 -b .clearlooks

%build
autoconf
aclocal
automake
./configure --prefix=/usr
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
make install DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool

/bin/rm -f $RPM_BUILD_ROOT%{_datadir}/themes/ThinIce/README.html
/bin/rm -f $RPM_BUILD_ROOT%{_datadir}/themes/ThinIce/ICON.png
# Clearlooks gtk theme is in gtk2-engines
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/themes/Clearlooks/gtk-2.0

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post 
for dir in /usr/share/icons/*; do 
  if test -d "$dir"; then 
    if test -f "$dir/index.theme"; then
      /usr/bin/gtk-update-icon-cache --quiet "$dir"
    fi
  fi
done

%files -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/icons/*
%{_datadir}/themes/*
%doc AUTHORS ChangeLog COPYING NEWS README

%changelog
* Tue Jun 28 2011 Snir Ifrah <sniri@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-1.fc6
- Update to 2.16.0

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.92-1.fc6
- Update to 2.15.92

* Sat Aug 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.91.1-1.fc6
- Update to 2.15.91.1

* Wed Aug  2 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.90-1.fc6
- Update to 2.15.90

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.4-1
- Update to 2.15.4
- Drop the variant of the Clearlooks metacity theme
 
* Tue Jun 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.3-1
- Update to 2.15.3

* Mon Jun 12 2006 Bill Nottingham <notting@redhat.com> - 2.15.2-3
- buildreq automake, not automake17

* Wed Jun  7 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.2-2
- Fix a problem in %%post (#194323)

* Tue May 16 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.2-1
- Update to 2.15.2

* Wed May 10 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.1-1
- Update to 2.15.1

* Tue Mar 14 2006 Ray Strode <rstrode@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Thu Feb  9 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.90-3
- Fix a warning

* Tue Feb  7 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.90-2
- Remove the hidden patch, since it causes icon themes
  to not show up in the theme capplet

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.90-1
- Update to 2.13.90

* Tue Dec 21 2005 Matthias Clasen <mclasen@redhat.com> - 2.13.2-3
- Make sure the new Clearlooks metacity theme gets picked up

* Tue Dec 20 2005 Matthias Clasen <mclasen@redhat.com> - 2.13.2-2
- Update the Clearlooks metacity theme

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 30 2005 Matthias Clasen <mclasen@redhat.com> - 2.13.2-1
- Update to 2.13.2
- Drop upstreamed patches/sources

* Tue Oct 25 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.1-4
- Add one more a11y icon

* Mon Oct 24 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.1-3
- Improve the coverage of the stock gtk icons by the
  a11y themes.

* Wed Oct 12 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.1-2
- Silence %%post

* Fri Oct  5 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.1-1
- Update to 2.12.1

* Fri Sep 30 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0-2
- Fix pixmap paths
- Actually apply the redmond patch

* Wed Sep  7 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0-1
- Update to 2.12.0
- Adjust clearlooks patch

* Mon Aug 22 2005 Matthias Clasen <mclasen@redhat.com> - 2.11.91-2
- Remove conflicting files 

* Fri Aug 19 2005 Matthias Clasen <mclasen@redhat.com> - 2.11.91-1
- New upstream version

* Thu Aug 10 2005 Matthias Clasen <mclasen@redhat.com> - 2.11.90-2
- Remove uses of the redmond engine

* Thu Aug  4 2005 Matthias Clasen <mclasen@redhat.com> - 2.11.90-1
- New upstream version
- Clearlooks 0.6.2

* Wed Jun 28 2005 Matthias Clasen <mclasen@redhat.com> - 2.11.3-2
- noarch

* Tue Jun 28 2005 Matthias Clasen <mclasen@redhat.com> - 2.11.3-1
- Update to 2.11.3 and Clearlooks 0.6.1

* Wed Apr 27 2005 John (J5) Palmieri <johnp@redhat.com> - 2.10.1-2
- Patch Clearlooks icon theme to inherit from bluecurve

* Tue Apr 12 2005 Matthias Clasen <mclasen@redhat.com> - 2.10.1-1
- Update to 2.10.1

* Thu Mar 17 2005 Matthias Clasen <mclasen@redhat.com> - 2.10.0-2
- Include Clearlooks themes, version 0.4

* Mon Mar 14 2005 Matthias Clasen <mclasen@redhat.com> - 2.10.0-1
- Update to 2.10.0

* Sun Mar  6 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.95-2
- Fix %%post script (#146661)

* Sat Mar  5 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.95-1
- Update to 2.9.95

* Wed Mar  2 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.94-1
- Update to 2.9.94

* Sat Feb  5 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.90-3
- Silence gtk-update-icon-cache

* Fri Jan 26 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.90-2
- Prereq gtk2 since we use gtk-update-icon-cache in %%post

* Wed Jan 26 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.90-1
- update to 2.9.90
- update icon caches in %%post

* Wed Sep 22 2004 Alexander Larsson <alexl@redhat.com> - 2.8.0-1
- update to 2.8.0

* Tue Aug 31 2004 Alex Larsson <alexl@redhat.com> 2.7.92-1
- update to 2.7.92
- remove autogenerated files from hidden patch

* Fri Aug 13 2004 Alexander Larsson <alexl@redhat.com> - 2.7.90-1
- update to 2.7.90

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Apr 11 2004 Warren Togami <wtogami@redhat.com> 2.6.0-2
- BR autoconf automake14 intltool pkgconfig gtk2-devel libtool gettext

* Wed Mar 31 2004 Mark McLoughlin <markmc@redhat.com> 2.6.0-1
- Update to 2.6.0

* Wed Mar 17 2004 Alex Larsson <alexl@redhat.com> 2.5.92-1
- update to 2.5.92
- gtk binary age changed

* Wed Mar 10 2004 Alex Larsson <alexl@redhat.com> 2.5.91-1
- update to 2.5.91

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 25 2004 Alexander Larsson <alexl@redhat.com> 2.5.4-1
- update to 2.5.4

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Jonathan Blandford <jrb@redhat.com> 2.5.3-1
- new version
- new version

* Fri Oct  3 2003 Alexander Larsson <alexl@redhat.com> 2.4.0-1
- 2.4.0

* Thu Aug 14 2003 Alexander Larsson <alexl@redhat.com> 2.3.3-1
- update to gnome 2.3

* Tue Aug  5 2003 Elliot Lee <sopwith@redhat.com> 2.2-7
- Fix libtool

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat May 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- fix find_lang

* Wed Apr 16 2003 Than Ngo <than@redhat.com> 2.2-4
- make gnome-icon themes hidden in KDE

* Wed Feb 19 2003 Jonathan Blandford <jrb@redhat.com> 2.2-2
- remove a thinice file also included in gtk-engines, #84398

* Wed Feb 12 2003 Bill Nottingham <notting@redhat.com>
- fix group typo

* Tue Feb  4 2003 Jonathan Blandford <jrb@redhat.com>
- new release.  This one includes a thinice tarball.

* Thu Jan 30 2003 Jonathan Blandford <jrb@redhat.com>
- new version

* Tue Jan 28 2003 Jonathan Blandford <jrb@redhat.com>
- Initial build.


